com.google.gwt.user.client

## Class Window.Navigator

- java.lang.Object
- - com.google.gwt.user.client.Window.Navigator

Enclosing class:
  Window

    public static class Window.Navigator
    extends java.lang.Object

This class provides access to the browser's navigator object. The mimeTypes and plugins properties are not included.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getAppCodeName()` Gets the navigator.appCodeName.
`static java.lang.String` `getAppName()` Gets the navigator.appName.
`static java.lang.String` `getAppVersion()` Gets the navigator.appVersion.
`static java.lang.String` `getPlatform()` Gets the navigator.platform.
`static java.lang.String` `getUserAgent()` Gets the navigator.userAgent.
`static boolean` `isCookieEnabled()` Checks whether or not cookies are enabled or disabled.
`static boolean` `isJavaEnabled()` Tests whether Java is enabled in the current browser.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAppCodeName

    public static java.lang.String getAppCodeName()

Gets the navigator.appCodeName.

Returns:
  the window's navigator.appCodeName.

#### getAppName

    public static java.lang.String getAppName()

Gets the navigator.appName.

Returns:
  the window's navigator.appName.

#### getAppVersion

    public static java.lang.String getAppVersion()

Gets the navigator.appVersion.

Returns:
  the window's navigator.appVersion.

#### getPlatform

    public static java.lang.String getPlatform()

Gets the navigator.platform.

Returns:
  the window's navigator.platform.

#### getUserAgent

    public static java.lang.String getUserAgent()

Gets the navigator.userAgent.

Returns:
  the window's navigator.userAgent.

#### isCookieEnabled

    public static boolean isCookieEnabled()

Checks whether or not cookies are enabled or disabled.

Returns:
  true if a cookie can be set, false if not

#### isJavaEnabled

    public static boolean isJavaEnabled()

Tests whether Java is enabled in the current browser.

Returns:
  the window's navigator.javaEnabled.